LFR-FSW - Bug #84

Talon dans la période de génération des TM_LFR_SCIENCE_x
11/03/2014 07:10 PM - Gerald Saule

Status: Closed Start date: 11/03/2014
Priority: Low Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r110

Description

Cette issue fait suite a Bug #809 (Fluctuation du délai entre deux TM_LFR_SCIENCE_NORMAL_SWF_Fx
(FIRST_PACKET_OF_A_GROUP_OF_PACKETS) consécutives).

Actuellement, la période des TM_LFR_SCIENCE_NORMAL_SWF_Fx est 300s par défaut. C'est un parametre modifiable; des
essais sont faits avec 16s.

On n'observe pas de différence de cadence entre TM_LFR_SCIENCE_NORMAL_SWF_F1,
TM_LFR_SCIENCE_NORMAL_SWF_F2, ou TM_LFR_SCIENCE_NORMAL_SWF_F3.

En utilisant le champ PA_LFR_ACQUISITION_TIME:
-exp=300s: sur 2 périodes, on mesure res=300.00390625s
-exp=16: sur 61 périodes, on mesure res=16.00390625s

L'écart est satisfaisant; mais ce talon est toujours rigoureusement identique. Il pourrait y avoir un pb de principe a améliorer.
Notons que sur TM_LFR_SCIENCE_NORMAL_CWF_F3, on attend nom=168.0s. PA_LFR_ACQUISITION_TIME nous méne a
168.0s exactement.

Contexte:
LPPMON Version=0.2.2 - Branch=default - Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série lll (sans connecteurs sub-click)
Vhdl: mini-Ilfr_0.0.0.15

Soft: 1.0.0.2 (variante sur carte finale) = r104

Brique Brique Star-Dundee S/N 46120065.

TEST CASE associé(s) = SVS-0029.

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

History

#1 - 12/03/2014 03:55 PM - Gerald Saule

Numériquement, remarquons que 0.00390625=1/256.
Cela revient a un talon de 0x100 pour le champ TIME au format "CUC".

#2 - 20/03/2014 07:13 PM - Gerald Saule
- File 2014_03 _20-18_12_24-Synth.txt added

Une variante de ce phénomene est observable sur TM_LFR_SCIENCE_NORMAL_SWF_F1 (avec PA_LFR_PKT_NR=1 a chaque fois).
On attend une période de 16s. On a les dates de réception (resp PA_LFR_ACQUISITION_TIME):
18:01:41.207811(0x8000033fa800)-18:01:57.210848(0x8000034{6800).

On calcule: T(PC)=16.003037s, et T(PA_LFR_ACQUISITION_TIME)=15.75s: cela fait un écart de 0x4000 sur les valeur au format CUC.

Contexte:

LPPMON Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR:LFR-172200 dev V1.0; No série lll (sans connecteurs sub-click)
Vhdl: mini-Ifr_0.0.15

Soft: 1.0.0.1 (variante sur carte finale)

Brique Star-Dundee S/N <blank>.
TEST CASE = SVS_0073

RPW-SYS-IDB-00067-LES Issue2_Rev2
RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev2
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev2

#3 - 28/03/2014 01:30 PM - Gerald Saule

- Subject changed from Talon dans la période de génération des TM_LFR_SCIENCE_NORMAL_SWF_Fx to Talon dans la période de génération des
TM_LFR_SCIENCE x

- revision changed from r104 to r110

Le pb n'est pas corrigé. Extraits de traces (toute TM_LFR_SCIENCE_x confondus) :

e > nom=300s, mean=300.00390625s, écart au format cuc:0x100.
* > nom=16s, mean=16.00390625s, écart au format cuc:0x100.
® > nom=32s, mean=32.0078125s, écart au format cuc:0x200.

Contexte:

LPPMON Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR:LFR-172200 dev V1.0; No série lll (sans connecteurs sub-click)
Vhdl: mini-Ifr_0.1.7

Soft: 1.0.0.4 (variante sur carte finale)

Brique Star-Dundee S/N <blank>.

TEST CASE = SVS_0073 (durée~25mn)

RPW-SYS-IDB-00067-LES Issue2_Rev2
RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev2
RPW-SYS-SSS-00013-LES + Annex_Release Definition Issue2_rev2

#4 - 05/02/2015 08:48 AM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to Veronique bouzid

Modifications majeures faites dans le logiciel de vol et dans le VHDL depuis cette époque. Rejouer des tests dans la configuration:
FSW >=2.0.2.2
VHDL >=x.1.57

#5 - 21/06/2018 01:45 PM - Veronique bouzid

- Status changed from Resolved to Closed

Files

2014_03_20-18_12_24-Synth.txt 215 KB 20/03/2014 Gerald Saule
